<template>
  <div class="banner">
    <figure class="max-h-banner opacity-20 overflow-hidden z-8 relative">
      <img src="/images/content/image-4-detail.jpg" alt="" class="w-full">
      <div class="hidden sm:block bg-black bg-opacity-50 h-20 absolute left-0 bottom-0 right-0 w-full z-9"></div>
    </figure>
  </div>
  <div class="movie">
    <div class="movie-caption mx-auto max-w-screen-xl lg:max-w-screen-lg lg:px-10 flex flex-wrap sm:flex-nowrap z-10 mb-10 px-4 relative md:px-10">
      <figure class="z-10">
        <img :src="movie.image" alt="" class="w-full">
      </figure>
      <figcaption class="z-10">
        <div class="mb-12">
          <span class="text-black sm:text-white font-medium text-base leading-5 mb-x">{{movie.year}}</span>
          <h4 class="text-black sm:text-white font-bold text-3xl leading-9 mb-1 lg:text-2xl">{{movie.title}}</h4>
          <span class="text-black sm:text-white font-medium leading-5">{{movie.genre}}</span>
        </div>
        <div class="movie-caption-categories flex flex-wrap">
          <div class="flex flex-auto aligns-center mr-3 p-0 absolute top-4 right-5 sm:top-0 sm:right-10 xl:unset md:right-4">
            <img src="/images/material/ico-star-2x.svg" alt=""> <span class="ml-4 font-semibold text-2xl leading-10 text-white">{{movie.rating}}</span>
          </div>
          <div class="flex flex-auto flex-col border-r border-opacity-20 border-white mb-3">
            <span class="font-medium text-xs leading-4 uppercase text-black sm:text-white opacity-50 mb-1">User Score</span>
            <span class="font-medium text-xs leading-4 uppercase text-black sm:text-white">3621 Votes</span>
          </div>
          <div class="flex flex-auto flex-col border-r border-opacity-20 border-white mb-3">
            <span class="font-medium text-xs leading-4 uppercase text-black sm:text-white opacity-50 mb-1">Status</span>
            <span class="font-medium text-xs leading-4 uppercase text-black sm:text-white">Released</span>
          </div>
          <div class="flex flex-auto flex-col border-r border-opacity-20 border-white mb-3">
            <span class="font-medium text-xs leading-4 uppercase text-black sm:text-white opacity-50 mb-1">language</span>
            <span class="font-medium text-xs leading-4 uppercase text-black sm:text-white">english</span>
          </div>
          <div class="flex flex-auto flex-col border-r border-opacity-20 border-white mb-3">
            <span class="font-medium text-xs leading-4 uppercase text-black sm:text-white opacity-50 mb-1">budget</span>
            <span class="font-medium text-xs leading-4 uppercase text-black sm:text-white">$200,000,000.00</span>
          </div>
          <div class="flex flex-auto flex-col mb-3">
            <span class="font-medium text-xs leading-4 uppercase text-black sm:text-white opacity-50 mb-1">production</span>
            <span class="font-medium text-xs leading-4 uppercase text-black sm:text-white">DC Entertainment</span>
          </div>
        </div>
        <div class="overview">
          <h5 class="font-bold text-base leading-5 mb-3 text-red-500">OVERVIEW</h5>
          <p class="font-normal text-base leading-7">Wonder Woman comes into conflict with the Soviet Union during the Cold War in the 1980s and finds a formidable foe by the name of the Cheetah.</p>
        </div>
      </figcaption> 
    </div>
    <div class="movie-review mx-auto max-w-screen-xl lg:max-w-screen-lg md:px-10">
      <div class="w-full">
        <span class="block font-medium text-base leading-5 text-red-500 font-semibold mb-5 px-4 sm:px-0 sm:mb-3">REVIEWS</span>
      </div>
      <div class="movie-review-list flex flex-wrap sm:flex-nowrap sm:-mx-4">
        <div class="bg-gray-100 shadow-md rounded-lg w-full sm:w-1/2 mx-4 px-6 py-5 relative">
          <div class="profile flex m-w-1/8 mb-6">
            <figure class="mr-4">
              <span class="block bg-gray-400 rounded-full h-12 w-12"></span>
            </figure>
            <figcaption class="flex flex-col flex-auto">
              <label class="font-bold text-sm leading-5 text-gray-800 mb-1">SWICTH</label>
              <span class="font-normal text-xs leading-5 text-gray-600">December 18, 2020</span>
            </figcaption>
          </div>
          <div class="rate bg-gray-400 bg-opacity-30 rounded-lg flex aligns-start absolute right-3 top-4 sm:right-6 sm:top-5 px-1 py-1 sm:py-2">
            <img src="/images/material/ico-star.svg" alt="" class="mr-1">
            <label class="font-bold text-xl sm:text-3xl leading-10 text-black">7.0</label>
          </div>
          <div class="paragraph italic text-xs sm:text-sm font-normal text-base leading-6 text-black">
            <p>It isn't as easy as saying 'Wonder Woman 1984' is a good or bad movie. The pieces are there, and there are moments I adore, but it does come across as a bit of a mess, even though the action sequences are breathtaking. If you're a fan of the original film, you'll be more willing to take the ride, but for those more indifferent, it may be a bit of a blander sit. If you can and are planning to watch it, the theatrical experience is the way to go - there is nothing like seeing these stunning sets, fun action scenes and hearing Zimmer's jaw-dropping score like on the big screen. - Chris dos Santos... <a class="text-red-500 underline" href="">read the rest.</a></p>
          </div>
        </div>
        <div class="bg-gray-100 shadow-md rounded-lg w-full sm:w-1/2 mx-4 px-6 py-5 relative">
          <div class="profile flex m-w-1/8 mb-6">
            <figure class="mr-4">
              <span class="block bg-gray-400 rounded-full h-12 w-12"></span>
            </figure>
            <figcaption class="flex flex-col flex-auto">
              <label class="font-bold text-sm leading-5 text-gray-800 mb-1">SWICTH</label>
              <span class="font-normal text-xs leading-5 text-gray-600">December 18, 2020</span>
            </figcaption>
          </div>
          <div class="rate bg-gray-400 bg-opacity-30 rounded-lg flex aligns-start absolute right-3 top-4 sm:right-6 sm:top-5 px-1 py-1 sm:py-2">
            <img src="/images/material/ico-star.svg" alt="" class="mr-1">
            <label class="font-bold text-xl sm:text-3xl leading-10 text-black">7.0</label>
          </div>
          <div class="paragraph italic text-xs sm:text-sm font-normal text-base leading-6 text-black">
            <p>If you enjoy reading my Spoiler-Free reviews, please follow my blog @ https://www.msbreviews.com
            <br>
            <br>
            The superhero genre has been growing exponentially during the last decade, so it's bizarre to go through an entire year with only Birds of Prey and The New Mutants instead of literally dozens of films from both Marvel and DC. Thankfully, Warner Bros. decided to release Wonder Woman 1984 before the year's end, but not without a catch. Most people will only have the possibility of watching one of the few blockbusters of 2020 through HBO Max, a streaming service only </p>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="recomendation mx-auto max-w-screen-xl lg:max-w-screen-lg md:px-10">
    <h5 class="text-white px-4 mb-4 sm:mb-0 sm:px-0 font-sm uppercase">RECOMMENDATION MOVIES</h5>
    <div class="flex flex-wrap px-2 sm:px-0 sm:-mx-3 lg:justify-between md:justify-start">
      <div v-for="(rec, index) in recomendation" :key="index" class="w-full sm:w-1/5 px-3 md:w-1/3 py-3 relative" :class="{'hidden': index === recomendation.length - 1 || index === recomendation.length - 2}">
        <figure class="relative mb-3">
          <img :src="rec.image" :alt="rec.title" class="w-full">
          <div class="rate absolute top-0 right-0 z-20 bg-opacity-80 bg-gray-800 text-white font-semibold text-lg p-2 lg:text-sm">{{ rec.rating }}</div>
          <div class="hover:bg-gray-900 hover:opacity-100 transition duration-300 ease-in-out absolute inset-0 z-30 flex flex-col justify-center items-center p-4 opacity-0">
            <div class="flex items-center flex-col justify-center align-center gap-14 lg:gap-7">
              <div class="text-white font-semibold text-2xl leading-7 flex aligns-center lg:text-sm"><img class="mr-1 lg:w-4" src="/images/material/ico-star-2x.svg" alt="">{{ rec.rating }}</div>
              <div class="text-white font-bold text-xl text-center lg:text-sm">{{ rec.genre }}</div>
              <router-link :to="{ name: 'movies-detail', params: { id: rec.id } }" class="bg-gray-800 hover:bg-gray-700 text-white inline-block bg-red-500 rounded-full font-bold text-white uppercase text-sm px-8 py-2 lg:text-xs lg:px-7">
                View
              </router-link>
            </div>
          </div>
        </figure>
        <figcaption>
          <p class="font-medium text-gray-300 text-base leading-5 mb-1 w-full truncate lg:text-sm">{{ rec.title }}</p>
          <span class="text-sm leading-4 text-gray-500 lg:px-xs">{{ rec.year }}</span>
        </figcaption>
      </div>
    </div>
  </div>
</template>
<style lang="css">
  .banner {
    z-index: -1;
  }
  .movie {
    position: relative;
  }
  .movie::before {
    background: white;
    bottom: 0;
    content: '';
    left: 0;
    position: absolute;
    right: 0;
    top: 200px;
    z-index: -1;
  }
  .movie-caption {
    margin-top: -195px;
    position: relative;
  }
  .movie-caption figure {
    margin-right: 33px;
    width: 220px;
  }
  .movie-caption figcaption {
    width: calc(100% - 220px);
  }
  .movie-caption-categories {
    margin-bottom: 51px;
  }
  .movie-caption-categories > div {
    margin-right: 33px;
    padding-right: 33px;
  }
  .movie-caption-categories > div:first-child {
    margin-right: 12px;
    padding-right: 0;
  }
  .movie-review {
    padding-bottom: 58px;
  }
  .movie-review .paragraph p {
    margin-bottom: 10px;
  }
  .recomendation {
    padding-bottom: 50px;
    padding-top: 50px;
  }
  @media (max-width: 1024px) {
    .movie-caption-categories > div {
      margin-right: 20px;
      padding-right: 10px;
    }
  }
  @media (max-width: 991px) {
    .movie-caption {
      margin-top: -245px;
    }
    .movie:before {
      top: 245px;
    }
  }
  @media (max-width: 767px) {
    .movie-caption {
      margin-top: 0;
    }
    .movie-caption figure {
      margin-bottom: 20px;
      margin-right: 0;
      width: 100%;
    }
    .movie-caption figcaption {
      width: 100%;
    }
  }
</style>
<script>
export default {
  data() {
    return {
      recomendation: [
        { 
          id: 11,
          title: "The New Mutants",
          image: "/images/content/image-14.jpg",
          genre: "Fantasy, Action, Adventure",
          rating: "7.0",
          year: 2020 
        },
        { 
          id: 7,
          title: "Soul",
          image: "/images/content/image-10.jpg",
          rating: "8.3",
          genre: "Fantasy, Action, Adventure",
          year: 2020 
        },
        { 
          id: 12,
          title: "Tenet",
          image: "/images/content/image-15.jpg",
          rating: "7.0",
          genre: "Fantasy, Action, Adventure",
          year: 2021 
        },
        { 
          id: 13,
          title: "The Old Guard",
          image: "/images/content/image-16.jpg",
          rating: "7.0",
          genre: "Fantasy, Action, Adventure",
          year: 2021 
        },
        { 
          id: 14,
          title: "Project Power",
          image: "/images/content/image-17.jpg",
          rating: "7.0",
          genre: "Fantasy, Action, Adventure",
          year: 2020 
        }
      ],
      movies: [
        { 
          id: 1,
          title: "Wonder Woman 1984",
          image: "/images/content/image-4.jpg",
          genre: "Fantasy, Action, Adventure",
          rating: "7.0",
          year: 2020 
        },
        { 
          id: 2,
          title: "Below Zero",
          image: "/images/content/image-5.jpg",
          rating: "6.4",
          genre: "Fantasy, Action, Adventure",
          year: 2021 
        },
        { 
          id: 3,
          title: "The Little Things",
          image: "/images/content/image-6.jpg",
          rating: "6.3",
          genre: "Fantasy, Action, Adventure",
          year: 2021 
        },
        { 
          id: 4,
          title: "Outside the Wire",
          image: "/images/content/image-7.jpg",
          rating: "6.5",
          genre: "Fantasy, Action, Adventure",
          year: 2021 
        },
        { 
          id: 5,
          title: "Black Water: Abyss",
          image: "/images/content/image-8.jpg",
          rating: "5.1",
          genre: "Fantasy, Action, Adventure",
          year: 2020 
        },
        { 
          id: 6,
          title: "Breach",
          image: "/images/content/image-9.jpg",
          rating: "4.6",
          genre: "Fantasy, Action, Adventure",
          year: 2021 
        },
        { 
          id: 7,
          title: "Soul",
          image: "/images/content/image-10.jpg",
          rating: "8.3",
          genre: "Fantasy, Action, Adventure",
          year: 2020 
        },
        { 
          id: 8,
          title: "Fast & Furious Present 8",
          image: "/images/content/image-11.jpg",
          rating: "6.9",
          genre: "Fantasy, Action, Adventure",
          year: 2017 
        },
        { 
          id: 9,
          title: "The Croods: A New Age",
          image: "/images/content/image-12.jpg",
          rating: "7.6",
          genre: "Fantasy, Action, Adventure",
          year: 2020
        },
        { 
          id: 10,
          title: "Vanguard",
          image: "/images/content/image-13.jpg",
          rating: "6.3",
          genre: "Fantasy, Action, Adventure",
          year: 2020
        },
        { 
          id: 11,
          title: "The New Mutants",
          image: "/images/content/image-14.jpg",
          genre: "Fantasy, Action, Adventure",
          rating: "7.0",
          year: 2020 
        },
        { 
          id: 12,
          title: "Tenet",
          image: "/images/content/image-15.jpg",
          rating: "7.0",
          genre: "Fantasy, Action, Adventure",
          year: 2021 
        },
        { 
          id: 13,
          title: "The Old Guard",
          image: "/images/content/image-16.jpg",
          rating: "7.0",
          genre: "Fantasy, Action, Adventure",
          year: 2021 
        },
        { 
          id: 14,
          title: "Project Power",
          image: "/images/content/image-17.jpg",
          rating: "7.0",
          genre: "Fantasy, Action, Adventure",
          year: 2020 
        }
      ]
    }
  },
  computed: {
    movie() {
      const id = parseInt(this.$route.params.id)
      return this.movies.find(movie => movie.id === id)
    }
  }
}
</script>